package com.jxml.quick.examples.timesheet;

import java.io.*;
import java.util.*;
import com.jxml.protocol.*;
import com.jxml.quick.*;

// Import classes for the SAX Parser
import org.xml.sax.*;

public class ShowTimesheet
{
		public static void
	main(String[] args)
	{
		try
		{
			Protocol.addJXMLProtocolPackage();
		        QDoc timesheetSchema=CreateTest.createSchema();
			QDoc doc=Quick.parse(timesheetSchema,args[0]);
			Timesheet timesheet=(Timesheet)Quick.getRoot(doc);
			timesheet.show();
		}
		catch (Exception e)
		    {
			QPE.display(e);
		    }
	}
}
